> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadlex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Lists

> Retrieve all contact lists in your workspace

## Request

### Headers

```
Authorization: Bearer wbk_your_api_key_here
```

## Response

<ResponseField name="data" type="object">
  <Expandable title="properties">
    <ResponseField name="lists" type="array">
      Array of list objects

      <Expandable title="List object">
        <ResponseField name="id" type="string">
          Unique list ID (UUID)
        </ResponseField>

        <ResponseField name="name" type="string">
          List name
        </ResponseField>

        <ResponseField name="description" type="string">
          List description
        </ResponseField>

        <ResponseField name="contact_count" type="integer">
          Number of contacts in this list
        </ResponseField>

        <ResponseField name="created_at" type="string">
          ISO 8601 timestamp
        </ResponseField>

        <ResponseField name="updated_date" type="string">
          ISO 8601 timestamp of last update
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<CodeGroup>
  ```bash cURL theme={null}
  curl https://data.leadlex.com/functions/v1/api-gateway/v1/lists \
    -H "Authorization: Bearer wbk_your_api_key_here"
  ```

  ```python Python theme={null}
  import requests

  API_KEY = "wbk_your_api_key_here"
  BASE_URL = "https://data.leadlex.com/functions/v1/api-gateway"

  headers = {"Authorization": f"Bearer {API_KEY}"}
  response = requests.get(f"{BASE_URL}/v1/lists", headers=headers)
  lists = response.json()["data"]["lists"]
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://data.leadlex.com/functions/v1/api-gateway/v1/lists',
    {
      headers: { 'Authorization': 'Bearer wbk_your_api_key_here' }
    }
  );
  const { data } = await response.json();
  console.log(data.lists);
  ```
</CodeGroup>

### Example Response

```json theme={null}
{
  "data": {
    "lists": [
      {
        "id": "abc12345-678d-90ef-1234-567890abcdef",
        "name": "Outreach Q1 2026",
        "description": "Prospects for Q1 campaign",
        "contact_count": 45,
        "created_at": "2026-01-15T10:00:00Z",
        "updated_date": "2026-02-20T14:30:00Z"
      },
      {
        "id": "def67890-abcd-1234-5678-90abcdef1234",
        "name": "Legal Tech Leads",
        "description": "Law firms interested in automation",
        "contact_count": 120,
        "created_at": "2025-12-01T09:00:00Z",
        "updated_date": "2026-02-24T10:15:00Z"
      }
    ]
  }
}
```

## Errors

| Status | Code                       | Description               |
| ------ | -------------------------- | ------------------------- |
| 401    | `invalid_key`              | Invalid API key           |
| 403    | `insufficient_permissions` | Missing `read` permission |
| 429    | `rate_limited`             | Rate limit exceeded       |
